/* Overriding some of ngx-chart classes for turnovers bar-chart */

nlb-turnovers-widget-extended {
  bb-turnovers-bar-chart {
    //.bb-chart {
    display: block;
    padding-top: 65px;
    //}
  }
}

ngx-charts-chart {
  .ngx-charts {
    float: none;
    min-height: 300px;
  }
}

.bb-chart {
  .chart-legend {
    width: 100% !important;

    .legend-label-text {
      width: 100%;
    }

    .legend-labels {
      background: transparent;
    }

    .legend-label-color {
      border-radius: 100%;
    }
  }

  .grid-panel {
    &.odd {
      rect {
        fill: transparent;
      }
    }

    &.forecast {
      rect {
        fill: map-deep-get($color-palette, 'neutrals', 'lightest');
      }
    }
  }
}

:root {
  --chart-group-bar-color: #{$nlbGreenColor}, #{$nlbGreyColor};
}
